net.sf.jasperreports.components.barcode4j

## Class BarcodeDesignEvaluator

- java.lang.Object
- - net.sf.jasperreports.components.barcode4j.AbstractBarcodeEvaluator
  - - net.sf.jasperreports.components.barcode4j.BarcodeDesignEvaluator

- All Implemented Interfaces:
    BarcodeVisitor

      public class BarcodeDesignEvaluator
      extends AbstractBarcodeEvaluator

  Version:
    $Id: BarcodeDesignEvaluator.java 6102 2013-04-23 15:15:43Z shertage $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.components.barcode4j.AbstractBarcodeEvaluator

      `barcode, barcodeComponent, componentElement, defaultStyleProvider, jasperReportsContext, message`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BarcodeDesignEvaluator(JasperReportsContext jasperReportsContext, JRComponentElement componentElement, JRDefaultStyleProvider defaultStyleProvider)`
    `BarcodeDesignEvaluator(JRComponentElement componentElement, JRDefaultStyleProvider defaultStyleProvider)` Deprecated. Replaced by `BarcodeDesignEvaluator(JasperReportsContext, JRComponentElement, JRDefaultStyleProvider)`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `evaluateBaseBarcode(BarcodeComponent barcodeComponent, java.lang.String defaultMessage)`
    `protected void` | `evaluateCodabar(CodabarComponent codabar)`
    `protected void` | `evaluateCode128(Code128Component code128)`
    `protected void` | `evaluateCode39(Code39Component code39)`
    `protected void` | `evaluateDataMatrix(DataMatrixComponent dataMatrix)`
    `protected void` | `evaluateEAN13(EAN13Component ean13)`
    `protected void` | `evaluateEAN8(EAN8Component ean8)`
    `protected void` | `evaluateEANCode128(EAN128Component ean128)`
    `Renderable` | `evaluateImage()`
    `protected void` | `evaluateInterleaved2Of5(Interleaved2Of5Component interleaved2Of5)`
    `protected void` | `evaluatePDF417(PDF417Component pdf417)`
    `protected void` | `evaluatePOSTNET(POSTNETComponent intelligentMail)`
    `protected void` | `evaluateRoyalMailCustomer(RoyalMailCustomerComponent royalMailCustomer)`
    `protected java.lang.String` | `evaluateStringExpression(JRExpression expression, java.lang.String defaultValue)`
    `protected void` | `evaluateUPCA(UPCAComponent upcA)`
    `protected void` | `evaluateUPCE(UPCEComponent upcE)`
    `protected void` | `evaluateUSPSIntelligentMail(USPSIntelligentMailComponent intelligentMail)`

    - ### Methods inherited from class net.sf.jasperreports.components.barcode4j.AbstractBarcodeEvaluator

      `evaluateBarcode, getBarcode, getElementStyle, getMessage, setBaseAttributes, setFourStateAttributes, visitCodabar, visitCode128, visitCode39, visitDataMatrix, visitEAN13, visitEAN8, visitEANCode128, visitInterleaved2Of5, visitPDF417, visitPostnet, visitRoyalMailCustomer, visitUPCA, visitUPCE, visitUSPSIntelligentMail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BarcodeDesignEvaluator

          public BarcodeDesignEvaluator(JasperReportsContext jasperReportsContext,
                                JRComponentElement componentElement,
                                JRDefaultStyleProvider defaultStyleProvider)

    - #### BarcodeDesignEvaluator

          public BarcodeDesignEvaluator(JRComponentElement componentElement,
                                JRDefaultStyleProvider defaultStyleProvider)

      Deprecated. Replaced by `BarcodeDesignEvaluator(JasperReportsContext, JRComponentElement, JRDefaultStyleProvider)`.

  - ### Method Detail

    - #### evaluateImage

          public Renderable evaluateImage()

    - #### evaluateBaseBarcode

          protected void evaluateBaseBarcode(BarcodeComponent barcodeComponent,
                                 java.lang.String defaultMessage)

    - #### evaluateStringExpression

          protected java.lang.String evaluateStringExpression(JRExpression expression,
                                                  java.lang.String defaultValue)

    - #### evaluateCodabar

          protected void evaluateCodabar(CodabarComponent codabar)

      Specified by:
        `evaluateCodabar` in class `AbstractBarcodeEvaluator`

    - #### evaluateCode128

          protected void evaluateCode128(Code128Component code128)

      Specified by:
        `evaluateCode128` in class `AbstractBarcodeEvaluator`

    - #### evaluateDataMatrix

          protected void evaluateDataMatrix(DataMatrixComponent dataMatrix)

      Specified by:
        `evaluateDataMatrix` in class `AbstractBarcodeEvaluator`

    - #### evaluateEANCode128

          protected void evaluateEANCode128(EAN128Component ean128)

      Specified by:
        `evaluateEANCode128` in class `AbstractBarcodeEvaluator`

    - #### evaluateCode39

          protected void evaluateCode39(Code39Component code39)

      Specified by:
        `evaluateCode39` in class `AbstractBarcodeEvaluator`

    - #### evaluateUPCA

          protected void evaluateUPCA(UPCAComponent upcA)

      Specified by:
        `evaluateUPCA` in class `AbstractBarcodeEvaluator`

    - #### evaluateUPCE

          protected void evaluateUPCE(UPCEComponent upcE)

      Specified by:
        `evaluateUPCE` in class `AbstractBarcodeEvaluator`

    - #### evaluateEAN13

          protected void evaluateEAN13(EAN13Component ean13)

      Specified by:
        `evaluateEAN13` in class `AbstractBarcodeEvaluator`

    - #### evaluateEAN8

          protected void evaluateEAN8(EAN8Component ean8)

      Specified by:
        `evaluateEAN8` in class `AbstractBarcodeEvaluator`

    - #### evaluateInterleaved2Of5

          protected void evaluateInterleaved2Of5(Interleaved2Of5Component interleaved2Of5)

      Specified by:
        `evaluateInterleaved2Of5` in class `AbstractBarcodeEvaluator`

    - #### evaluateRoyalMailCustomer

          protected void evaluateRoyalMailCustomer(RoyalMailCustomerComponent royalMailCustomer)

      Specified by:
        `evaluateRoyalMailCustomer` in class `AbstractBarcodeEvaluator`

    - #### evaluateUSPSIntelligentMail

          protected void evaluateUSPSIntelligentMail(USPSIntelligentMailComponent intelligentMail)

      Specified by:
        `evaluateUSPSIntelligentMail` in class `AbstractBarcodeEvaluator`

    - #### evaluatePOSTNET

          protected void evaluatePOSTNET(POSTNETComponent intelligentMail)

      Specified by:
        `evaluatePOSTNET` in class `AbstractBarcodeEvaluator`

    - #### evaluatePDF417

          protected void evaluatePDF417(PDF417Component pdf417)

      Specified by:
        `evaluatePDF417` in class `AbstractBarcodeEvaluator`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com